<#ibiztemplate>
TARGET=PSDEACTION
</#ibiztemplate>
<#if sys.getCodeName()=='Sample'>
<#assign hasBeforeLogic =false>
<#if item.getBeforePSDEActionLogics?? && item.getBeforePSDEActionLogics()??>
    <#list item.getBeforePSDEActionLogics() as beforelogic>
        <#assign hasBeforeLogic=true>
        <#break>
    </#list>
</#if>
<#if hasBeforeLogic>
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:dc="http://www.omg.org/spec/DD/20100524/DC" xmlns:di="http://www.omg.org/spec/DD/20100524/DI" xmlns:g="http://www.jboss.org/drools/flow/gpd" xmlns:tns="http://www.jboss.org/drools" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" expressionLanguage="http://www.mvel.org/2.0" id="Definition" name="" targetNamespace="http://www.jboss.org/drools" typeLanguage="http://www.java.com/javaTypes">
    <process id="${pub.getPKGCodeName()}.core.extensions.service.logic.before" isClosed="false" isExecutable="true" name="ScoreRule" processType="Private" tns:packageName="${pub.getPKGCodeName()}.core.extensions.service.logic.before">
        <extensionElements>
            <tns:import name="java.util.Map"/>
            <tns:import name="org.springframework.util.StringUtils"/>
            <tns:import name="${pub.getPKGCodeName()}.util.helper.RuleUtils"/>
        </extensionElements>
        <#if item.getBeforePSDEActionLogics?? && item.getBeforePSDEActionLogics()??>
            <startEvent id="begin" isInterrupting="true"/>
            <endEvent id="prepareparam1_end" name="end"/>
            <#assign source="begin">
        <#list item.getBeforePSDEActionLogics() as beforelogic>
            <#comment>实体行为附加逻辑</#comment>
            <#if beforelogic.getPSDELogic()??>
                <#assign delogic = beforelogic.getPSDELogic()>
                <#assign target =beforelogic.getId()>
           <callActivity activiti:exclusive="true" calledElement="${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.service.logic.${de.codeName?lower_case}${delogic.getCodeName()?lower_case}" id="${target}" name="${delogic.codeName}"/>
            <#else>
            </#if>
           <sequenceFlow id="${source}_${target}" sourceRef="${source}" targetRef="${target}"/>
            <#assign source = target>
            <#if !beforelogic_has_next>
            <sequenceFlow id="${source}_${target}" sourceRef="${source}" targetRef="prepareparam1_end"/>
            </#if>
        </#list>
        </#if>
    </process>
</definitions>
</#if>
</#if>